Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(356)

Side by Side Diff: android/patch_locale.sh

Issue 2442923002: ICU update to 58 part 2 (Closed)
Patch Set: apply more patches and updates; almost ready to roll Created 4 years, 1 month ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch
« no previous file with comments | « android/icudtl.dat ('k') | common/icudtb.dat » ('j') | no next file with comments »
Toggle Intra-line Diffs ('i') | Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
OLDNEW
1 #!/bin/sh 1 #!/bin/sh
2 # Copyright (c) 2012 The Chromium Authors. All rights reserved. 2 # Copyright (c) 2012 The Chromium Authors. All rights reserved.
3 # Use of this source code is governed by a BSD-style license that can be 3 # Use of this source code is governed by a BSD-style license that can be
4 # found in the LICENSE file. 4 # found in the LICENSE file.
5 5
6 treeroot="$(dirname "$0")/.." 6 treeroot="$(dirname "$0")/.."
7 cd "${treeroot}" 7 cd "${treeroot}"
8 8
9 echo "Applying brkitr.patch" 9 echo "Applying brkitr.patch"
10 patch -p1 < android/brkitr.patch || { echo "failed to patch" >&2; exit 1; } 10 patch -p1 < android/brkitr.patch || { echo "failed to patch" >&2; exit 1; }
(...skipping 50 matching lines...) Expand 10 before | Expand all | Expand 10 after
61 for lang in ${EXTRA_LANGUAGES} 61 for lang in ${EXTRA_LANGUAGES}
62 do 62 do
63 target=locales/${lang}.txt 63 target=locales/${lang}.txt
64 [ -e ${target} ] || { echo "missing ${lang}"; continue; } 64 [ -e ${target} ] || { echo "missing ${lang}"; continue; }
65 echo Overwriting ${target} ... 65 echo Overwriting ${target} ...
66 66
67 # Do not include '%%Parent' line on purpose. 67 # Do not include '%%Parent' line on purpose.
68 sed -n -r -i \ 68 sed -n -r -i \
69 '1, /^'${lang}'\{$/p 69 '1, /^'${lang}'\{$/p
70 /^ "%%ALIAS"\{/p 70 /^ "%%ALIAS"\{/p
71 /^ AuxExemplarCharacters\{.*\}$/p
72 /^ AuxExemplarCharacters\{$/, /^ \}$/p
73 /^ ExemplarCharacters\{.*\}$/p
74 /^ ExemplarCharacters\{$/, /^ \}$/p
75 /^ (LocaleScript|layout)\{$/, /^ \}$/p 71 /^ (LocaleScript|layout)\{$/, /^ \}$/p
76 /^ Version\{.*$/p 72 /^ Version\{.*$/p
77 /^\}$/p' ${target} 73 /^\}$/p' ${target}
78 done 74 done
79 75
80 echo Overwriting curr/reslocal.mk to drop the currency names 76 echo Overwriting curr/reslocal.mk to drop the currency names
81 echo for ${EXTRA_LANGUAGES} 77 echo for ${EXTRA_LANGUAGES}
82 for lang in ${EXTRA_LANGUAGES} 78 for lang in ${EXTRA_LANGUAGES}
83 do 79 do
84 sed -i -e '/'$lang'.txt/ d' curr/reslocal.mk 80 sed -i -e '/'$lang'.txt/ d' curr/reslocal.mk
(...skipping 106 matching lines...) Expand 10 before | Expand all | Expand 10 after
191 sed -r '/^ calendar\{$/,/^ \}$/ { 187 sed -r '/^ calendar\{$/,/^ \}$/ {
192 /^ calendar\{$/p 188 /^ calendar\{$/p
193 /^ default\{".*"\}$/p 189 /^ default\{".*"\}$/p
194 /^ '${CAL_PATTERN}'\{$/, /^ \}$/p 190 /^ '${CAL_PATTERN}'\{$/, /^ \}$/p
195 /^ \}$/p 191 /^ \}$/p
196 d 192 d
197 }' -i $i 193 }' -i $i
198 done 194 done
199 195
200 echo DONE. 196 echo DONE.
OLDNEW
« no previous file with comments | « android/icudtl.dat ('k') | common/icudtb.dat » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698